<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>SheetDataWriter (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SheetDataWriter (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SheetDataWriter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SheetDataWriter.html"
               target="_top">Frames</a></li>
        <li><a href="SheetDataWriter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.streaming</div>
    <h2 title="Class SheetDataWriter" class="title">Class SheetDataWriter</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.streaming.SheetDataWriter</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.io.Closeable, java.lang.AutoCloseable</dd>
                </dl>
                <dl>
                    <dt>Direct Known Subclasses:</dt>
                    <dd><a href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html"
                           title="class in org.apache.poi.xssf.streaming">GZIPSheetDataWriter</a>, <a
                            href="../../../../../org/apache/poi/poifs/crypt/temp/SheetDataWriterWithDecorator.html"
                            title="class in org.apache.poi.poifs.crypt.temp">SheetDataWriterWithDecorator</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">SheetDataWriter</span>
extends java.lang.Object
implements java.io.Closeable</pre>
                <div class="block">Initially copied from BigGridDemo "SpreadsheetWriter".
                    Unlike the original code which wrote the entire document,
                    this class only writes the "sheetData" document fragment
                    so that it was renamed to "SheetDataWriter"
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#SheetDataWriter--">SheetDataWriter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#SheetDataWriter-org.apache.poi.xssf.model.SharedStringsTable-">SheetDataWriter</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html"
                                        title="class in org.apache.poi.xssf.model">SharedStringsTable</a>&nbsp;sharedStringsTable)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#close--">close</a></span>()</code>
                                    <div class="block">flush and close the temp data writer.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.io.File</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#createTempFile--">createTempFile</a></span>()</code>
                                    <div class="block">Create a temp file to write sheet data.</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>java.io.Writer</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#createWriter-java.io.File-">createWriter</a></span>(java.io.File&nbsp;fd)</code>
                                    <div class="block">Create a writer for the sheet data.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>protected java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateInputStream-java.io.FileInputStream-">decorateInputStream</a></span>(java.io.FileInputStream&nbsp;fis)</code>
                                    <div class="block">Override this to translate (such as decrypt or expand) the file
                                        input stream
                                        as it is being read from disk.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>protected java.io.OutputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-">decorateOutputStream</a></span>(java.io.FileOutputStream&nbsp;fos)</code>
                                    <div class="block">Override this to translate (such as encrypt or compress) the file
                                        output stream
                                        as it is being written to disk.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#finalize--">finalize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getLastFlushedRow--">getLastFlushedRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getLowestIndexOfFlushedRows--">getLowestIndexOfFlushedRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getNumberOfCellsOfLastFlushedRow--">getNumberOfCellsOfLastFlushedRow</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getNumberOfFlushedRows--">getNumberOfFlushedRows</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>protected java.io.File</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getTempFile--">getTempFile</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>java.io.InputStream</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getWorksheetXMLInputStream--">getWorksheetXMLInputStream</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>protected void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#outputQuotedString-java.lang.String-">outputQuotedString</a></span>(java.lang.String&nbsp;s)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#writeCell-int-org.apache.poi.ss.usermodel.Cell-">writeCell</a></span>(int&nbsp;columnIndex,
                                    <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                       title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#writeRow-int-org.apache.poi.xssf.streaming.SXSSFRow-">writeRow</a></span>(int&nbsp;rownum,
                                    <a href="../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html"
                                       title="class in org.apache.poi.xssf.streaming">SXSSFRow</a>&nbsp;row)</code>
                                    <div class="block">Write a row to the file</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait,
                                    wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="SheetDataWriter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SheetDataWriter</h4>
                                <pre>public&nbsp;SheetDataWriter()
                throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SheetDataWriter-org.apache.poi.xssf.model.SharedStringsTable-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>SheetDataWriter</h4>
                                <pre>public&nbsp;SheetDataWriter(<a
                                        href="../../../../../org/apache/poi/xssf/model/SharedStringsTable.html"
                                        title="class in org.apache.poi.xssf.model">SharedStringsTable</a>&nbsp;sharedStringsTable)
                throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createTempFile--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createTempFile</h4>
                                <pre>public&nbsp;java.io.File&nbsp;createTempFile()
                            throws java.io.IOException</pre>
                                <div class="block">Create a temp file to write sheet data.
                                    By default, temp files are created in the default temporary-file directory
                                    with a prefix "poi-sxssf-sheet" and suffix ".xml". Subclasses can override
                                    it and specify a different temp directory or filename or suffix, e.g.
                                    <code>.gz</code></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>temp file to write sheet data</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="createWriter-java.io.File-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createWriter</h4>
                                <pre>public&nbsp;java.io.Writer&nbsp;createWriter(java.io.File&nbsp;fd)
                            throws java.io.IOException</pre>
                                <div class="block">Create a writer for the sheet data.</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fd</code> - the file to write to</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="decorateOutputStream-java.io.FileOutputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>decorateOutputStream</h4>
                                <pre>protected&nbsp;java.io.OutputStream&nbsp;decorateOutputStream(java.io.FileOutputStream&nbsp;fos)
                                             throws java.io.IOException</pre>
                                <div class="block">Override this to translate (such as encrypt or compress) the file
                                    output stream
                                    as it is being written to disk.
                                    The default behavior is to to pass the stream through unmodified.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fos</code> - the stream to decorate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a decorated stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateInputStream-java.io.FileInputStream-"><code>decorateInputStream(FileInputStream)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="close--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>close</h4>
                                <pre>public&nbsp;void&nbsp;close()
           throws java.io.IOException</pre>
                                <div class="block">flush and close the temp data writer.
                                    This method <em>must</em> be invoked before calling <a
                                            href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#getWorksheetXMLInputStream--"><code>getWorksheetXMLInputStream()</code></a>
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.io.Closeable</code></dd>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>close</code>&nbsp;in interface&nbsp;<code>java.lang.AutoCloseable</code>
                                    </dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTempFile--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTempFile</h4>
                                <pre>protected&nbsp;java.io.File&nbsp;getTempFile()</pre>
                            </li>
                        </ul>
                        <a name="getWorksheetXMLInputStream--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getWorksheetXMLInputStream</h4>
                                <pre>public&nbsp;java.io.InputStream&nbsp;getWorksheetXMLInputStream()
                                               throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a stream to read temp file with the sheet data</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="decorateInputStream-java.io.FileInputStream-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>decorateInputStream</h4>
                                <pre>protected&nbsp;java.io.InputStream&nbsp;decorateInputStream(java.io.FileInputStream&nbsp;fis)
                                           throws java.io.IOException</pre>
                                <div class="block">Override this to translate (such as decrypt or expand) the file input
                                    stream
                                    as it is being read from disk.
                                    The default behavior is to to pass the stream through unmodified.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fis</code> - the stream to decorate</dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a decorated stream</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/xssf/streaming/SheetDataWriter.html#decorateOutputStream-java.io.FileOutputStream-"><code>decorateOutputStream(FileOutputStream)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getNumberOfFlushedRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfFlushedRows</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfFlushedRows()</pre>
                            </li>
                        </ul>
                        <a name="getNumberOfCellsOfLastFlushedRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getNumberOfCellsOfLastFlushedRow</h4>
                                <pre>public&nbsp;int&nbsp;getNumberOfCellsOfLastFlushedRow()</pre>
                            </li>
                        </ul>
                        <a name="getLowestIndexOfFlushedRows--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLowestIndexOfFlushedRows</h4>
                                <pre>public&nbsp;int&nbsp;getLowestIndexOfFlushedRows()</pre>
                            </li>
                        </ul>
                        <a name="getLastFlushedRow--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLastFlushedRow</h4>
                                <pre>public&nbsp;int&nbsp;getLastFlushedRow()</pre>
                            </li>
                        </ul>
                        <a name="finalize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>finalize</h4>
                                <pre>protected&nbsp;void&nbsp;finalize()
                 throws java.lang.Throwable</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>finalize</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.lang.Throwable</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeRow-int-org.apache.poi.xssf.streaming.SXSSFRow-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeRow</h4>
                                <pre>public&nbsp;void&nbsp;writeRow(int&nbsp;rownum,
                     <a href="../../../../../org/apache/poi/xssf/streaming/SXSSFRow.html"
                        title="class in org.apache.poi.xssf.streaming">SXSSFRow</a>&nbsp;row)
              throws java.io.IOException</pre>
                                <div class="block">Write a row to the file</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>rownum</code> - 0-based row number</dd>
                                    <dd><code>row</code> - a row</dd>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code> - If an I/O error occurs</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="writeCell-int-org.apache.poi.ss.usermodel.Cell-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>writeCell</h4>
                                <pre>public&nbsp;void&nbsp;writeCell(int&nbsp;columnIndex,
                      <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                         title="interface in org.apache.poi.ss.usermodel">Cell</a>&nbsp;cell)
               throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="outputQuotedString-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>outputQuotedString</h4>
                                <pre>protected&nbsp;void&nbsp;outputQuotedString(java.lang.String&nbsp;s)
                           throws java.io.IOException</pre>
                                <dl>
                                    <dt><span class="throwsLabel">Throws:</span></dt>
                                    <dd><code>java.io.IOException</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/SheetDataWriter.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/streaming/GZIPSheetDataWriter.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/streaming/SXSSFCell.html"
               title="class in org.apache.poi.xssf.streaming"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/streaming/SheetDataWriter.html"
               target="_top">Frames</a></li>
        <li><a href="SheetDataWriter.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
